Skip to main content
POST
/
customers
Create customer
curl --request POST \
  --url https://api.weav.com/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>",
  "locale": "<string>",
  "country": "<string>",
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "locale": "<string>",
  "country": "<string>",
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "avatar_url": "<string>",
  "first_seen_at": "2023-11-07T05:31:56Z",
  "last_seen_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Body

application/json
email
string<email>
required
Maximum string length: 255
first_name
string | null
Maximum string length: 100
last_name
string | null
Maximum string length: 100
phone
string | null
Maximum string length: 50
locale
string | null
Maximum string length: 10
country
string | null
Maximum string length: 255
company_id
string<uuid> | null

Response

Customer created

id
string<uuid>
first_name
string | null
last_name
string | null
email
string<email>
phone
string | null
locale
string | null
country
string | null
company_id
string<uuid> | null
avatar_url
string<uri> | null
first_seen_at
string<date-time> | null
last_seen_at
string<date-time> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null